Update Comments
curl --request POST \
--url https://api.velt.dev/v1/commentannotations/comments/update \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"documentId": "<string>",
"annotationId": "<string>",
"commentIds": [
123
],
"updatedData": {
"commentText": "<string>",
"commentHtml": "<string>",
"isCommentResolverUsed": true,
"isCommentTextAvailable": true,
"from": {},
"taggedUserContacts": [
{
"text": "<string>",
"userId": "<string>",
"contact": {
"email": "<string>",
"name": "<string>",
"userId": "<string>"
}
}
]
}
}
}
'import requests
url = "https://api.velt.dev/v1/commentannotations/comments/update"
payload = { "data": {
"organizationId": "<string>",
"documentId": "<string>",
"annotationId": "<string>",
"commentIds": [123],
"updatedData": {
"commentText": "<string>",
"commentHtml": "<string>",
"isCommentResolverUsed": True,
"isCommentTextAvailable": True,
"from": {},
"taggedUserContacts": [
{
"text": "<string>",
"userId": "<string>",
"contact": {
"email": "<string>",
"name": "<string>",
"userId": "<string>"
}
}
]
}
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
documentId: '<string>',
annotationId: '<string>',
commentIds: [123],
updatedData: {
commentText: '<string>',
commentHtml: '<string>',
isCommentResolverUsed: true,
isCommentTextAvailable: true,
from: {},
taggedUserContacts: [
{
text: '<string>',
userId: '<string>',
contact: {email: '<string>', name: '<string>', userId: '<string>'}
}
]
}
}
})
};
fetch('https://api.velt.dev/v1/commentannotations/comments/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Comment updated successfully.",
"data": {
"607395": {
"success": true,
"id": 607395,
"message": "Updated successfully"
}
}
}
}
Comments
Update Comments
POST
/
v1
/
commentannotations
/
comments
/
update
Update Comments
Use this API to update comments within a specific CommentAnnotation.
Endpoint
POST https://api.velt.dev/v1/commentannotations/comments/update
Headers
string
required
Your API key.
string
required
Your Auth Token.
Body
Params
object
required
Show properties
Show properties
string
required
Organization ID
string
required
Document ID
string
required
Comment Annotation ID
number[]
required
Comment IDs
Object
required
Comment data
Show properties
Show properties
string
Comment content in plain text string
string
Comment content in HTML string
boolean
Use this for self-hosting comments data. Set this as true if you are comments resolver data provider in the SDK.
boolean
Use this for self-hosting comments data. Set this as true if this comment will have text content. Sometimes, comments might only have attachments and in that case, set this as false.
User
required
User object from whom the comment is added
Object[]
Example Requests
Update comment in a CommentAnnotation by organizationId, documentId, annotationId and commentId
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"annotationId": "yourAnnotationId",
"commentIds": [
153783,
607395
],
"updatedData": {
"commentText": "Sample Updated Comment",
"commentHtml": "<div>Hello Updated</div>"
}
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "Comment updated successfully.",
"data": {
"607395": {
"success": true,
"id": 607395,
"message": "Updated successfully"
}
}
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "Comment updated successfully.",
"data": {
"607395": {
"success": true,
"id": 607395,
"message": "Updated successfully"
}
}
}
}
Was this page helpful?
⌘I

